> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reelevant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List fonts



## OpenAPI

````yaml https://openapi.production.reelevant.io/v1/render/contents-api get /contents/fonts
openapi: 3.0.0
info:
  title: contents-api
  version: f9a1b334ed88c96ed84665c78dcdba64fc9f2b14
  description: |-
    # Errors
    | Error code | Message | HTTP status code | Payload |
    | :--- | :--- | :--- | :--- |
    | number | string | 404 |  |
servers:
  - url: https://api.reelevant.com/v2/
    description: production
security: []
paths:
  /contents/fonts:
    get:
      tags:
        - ContentResource
      summary: List fonts
      operationId: list-fonts-content-resource
      parameters:
        - name: ids
          in: query
          schema:
            type: array
            items:
              type: string
            description: Filter on fonts that have on of those ids
          required: false
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - success
                    required:
                      - status
                    additionalProperties: false
                  - $ref: >-
                      #/components/schemas/InternalResponse_Array_ContentFontResource
      security:
        - password_auth: []
components:
  schemas:
    InternalResponse_Array_ContentFontResource:
      type: object
      properties:
        program:
          type: string
        version:
          type: string
        datetime:
          type: string
        status:
          type: string
        code:
          type: number
        message:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/ContentFontResource'
      required:
        - program
        - version
        - datetime
        - status
        - message
        - data
      additionalProperties: false
    ContentFontResource:
      allOf:
        - $ref: '#/components/schemas/SerializedContentResource'
        - $ref: >-
            #/components/schemas/ContentFontResource_Without_CompanyId_ResourceGroupIds_ToJSON
    SerializedContentResource:
      allOf:
        - $ref: >-
            #/components/schemas/ContentResource_Without_CompanyId_ResourceGroupIds_ToJSON
        - type: object
          properties:
            id:
              type: string
            companyId:
              type: string
            resourceGroupIds:
              type: array
              items:
                type: string
            createdAt:
              type: string
              format: date-time
            updatedAt:
              type: string
              format: date-time
          required:
            - id
            - companyId
            - resourceGroupIds
            - createdAt
            - updatedAt
    ContentFontResource_Without_CompanyId_ResourceGroupIds_ToJSON:
      type: object
      properties:
        type:
          type: string
          enum:
            - font
        family:
          type: string
          maxLength: 50
        files:
          type: object
          properties: {}
          additionalProperties:
            type: string
      required:
        - type
        - family
        - files
      additionalProperties: false
    ContentResource_Without_CompanyId_ResourceGroupIds_ToJSON:
      type: object
      properties: {}
      additionalProperties: false
  securitySchemes:
    password_auth:
      type: oauth2
      flows:
        password:
          tokenUrl: https://api.reelevant.com/v1/auth/token
          refreshUrl: https://api.reelevant.com/v1/auth/token
          scopes: {}

````